| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties

# IG::Gr::Mesh Class Reference

Base class for all mesh classes. More...

Inheritance diagram for IG::Gr::Mesh:
[legend]

List of all members.

## Public Member Functions
virtual int | GetNodeNumber (int i)
## Protected Member Functions
virtual internal void | SetNodeNumber (int gridpoint, int nodenumber)
## Properties
abstract internal List< int > | NodeNumbers`[get, set]`
| Returns a list of node numbers. This property must be implemented in a concrete derived class in such a way that it returns a non/null list, odherwise GetNodeNuber() and SetNodeNumber() must be overridden.
abstract int | NumNodes`[get]`
| Returns number of grid points.
abstract bool | HasFaces`[get]`
| Gets a value indicating whether the mesh has faces.
abstract int | NumFaces`[get]`
| Returns the number of faces that the mesh has.
abstract bool | HasVolumes`[get]`
| Gets a value indicating whether the mesh has volumes.
abstract int | NumVolumes`[get]`
| Returns the number of volumes that the mesh has.

## Detailed Description

Base class for all mesh classes.

## Member Function Documentation

virtual int IG::Gr::Mesh::GetNodeNumber | ( | int | i | ) | `[inline, virtual]`

virtual internal void IG::Gr::Mesh::SetNodeNumber | ( | int | gridpoint,
|  | int | nodenumber
| ) |  | `[inline, protected, virtual]`

## Property Documentation

abstract internal List<int> IG::Gr::Mesh::NodeNumbers`[get, set, protected]`

Returns a list of node numbers. This property must be implemented in a concrete derived class in such a way that it returns a non/null list, odherwise GetNodeNuber() and SetNodeNumber() must be overridden.

Reimplemented in IG::Gr::StructuredSurfaceMesh3D.

abstract int IG::Gr::Mesh::NumNodes`[get]`

Returns number of grid points.

Reimplemented in IG::Gr::StructuredSurfaceMesh3D.

abstract bool IG::Gr::Mesh::HasFaces`[get]`

Gets a value indicating whether the mesh has faces.

Reimplemented in IG::Gr::StructuredSurfaceMesh3D.

abstract int IG::Gr::Mesh::NumFaces`[get]`

Returns the number of faces that the mesh has.

Reimplemented in IG::Gr::StructuredSurfaceMesh3D.

abstract bool IG::Gr::Mesh::HasVolumes`[get]`

Gets a value indicating whether the mesh has volumes.

Reimplemented in IG::Gr::SurfceMesh3D.

abstract int IG::Gr::Mesh::NumVolumes`[get]`

Returns the number of volumes that the mesh has.

Reimplemented in IG::Gr::SurfceMesh3D.

The documentation for this class was generated from the following file:

- Mesh.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events